#
# spec file for package 
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           texstudio
Version:        2.7.0
Release:        0
Summary:        LaTeX Editor
License:        GPL-2.0
Group:          Productivity/Publishing/TeX/Frontends
URL:            http://texstudio.sf.net
Source0:        http://downloads.sourceforge.net/texstudio/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE texstudio-correct-doc-location.patch
Patch1:         texstudio-correct-doc-location.patch
BuildRequires:  libqt4-devel
BuildRequires:  libpoppler-qt4-devel
Requires:       hunspell
Requires:       texlive-latex
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
TeXstudio is a program based on texmaker, that integrates many tools needed
to develop documents with LaTeX, in just one application. Using its editor
you can write your documents with the help of interactive spell checking,
syntax highlighting, automatically code completion and more.

%prep
%setup -q -n %{name}%{version}
%patch1 -p1

%build
qmake CONFIG-=debug texstudio.pro

make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install

%files
%defattr(-,root,root)
%doc utilities/AUTHORS utilities/COPYING utilities/CHANGELOG.txt
%{_bindir}/texstudio
%{_datadir}/texstudio/
%{_datadir}/applications/texstudio.desktop

%changelog
